Index: PostgreSqlDotnetCore/Controllers/ProductsController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -2,10 +2,6 @@
 using Microsoft.AspNetCore.Mvc;
 using Microsoft.EntityFrameworkCore;
-using Npgsql;
-using System.Linq;
 using PostgreSqlDotnetCore.Models;
-//using System.Net;
-using System.Threading.Tasks;
-using PostgreSqlDotnetCore.Data;
+using System.Net;
 
 namespace PostgreSqlDotnetCore.Controllers
@@ -13,5 +9,4 @@
     public class ProductsController : BaseController
     {
-
         public ProductsController(UserManager<IdentityUser> userManager) : base(userManager)
         {
@@ -26,12 +21,6 @@
         //}
         // GET: Customer
-        public async Task<ActionResult> IndexAsync(string? searchString)
+        public ActionResult Index(string? searchString)
         {
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-            ViewBag.hasAccess = await checkAuthorizationAsync();
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             if (!String.IsNullOrEmpty(searchString))
             {
@@ -48,8 +37,6 @@
         }
 
-        
-
         // GET: Customer/Details/5
-        public async Task<ActionResult> Details(int? id)
+        public ActionResult Details(int? id)
         {
             if (id == null)
@@ -57,11 +44,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            // додано на 28.08
-         
-
-
-
-          UsersClass customerClass = await getCrrentUser(); 
-            ViewBag.isAuthenticated = customerClass;
             ProductsClass prodClass = db.ProductObj.Find(id);
             if (prodClass == null)
@@ -69,7 +49,4 @@
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             return View(prodClass);
         }
@@ -85,23 +62,14 @@
             // check for permission
             UsersClass customerClass = await checkAuthorizationAsync();
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-
             if (customerClass == null)
             {
                 return RedirectToAction("AccessDenied", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
             var model = new ProductsClass
             {
-              //  dateadded = DateTime.Now // Поставете го датумот на моменталниот датум
+                dateadded = DateTime.Now // Поставете го датумот на моменталниот датум
             };
             return View(model);
         }
-
-
-
 
         // POST: Customer/Create
@@ -110,9 +78,9 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public ActionResult Create([Bind(include: "id,name,description,price, is_active, dateadded, category, int available_quantity")] ProductsClass prodClass)
+        public ActionResult Create([Bind(include: "id,name,description,price, is_active, dateadded, category")] ProductsClass prodClass)
         {
             if (ModelState.IsValid)
             {
-              //  prodClass.dateadded = new DateTime();
+                prodClass.dateadded = new DateTime();
                 prodClass.isactive = true;
                 db.ProductObj.Add(prodClass);
@@ -132,7 +100,4 @@
             }
             UsersClass customerClass = await checkAuthorizationAsync();
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-
             if (customerClass == null)
             {
@@ -152,5 +117,5 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public ActionResult Edit([Bind(include: "id,name,description,price, is_active, dateadded, category, int available_quantity")] ProductsClass prodClass)
+        public ActionResult Edit([Bind(include: "id,name,description,price, is_active, dateadded, category")] ProductsClass prodClass)
         {
             if (ModelState.IsValid)
@@ -171,7 +136,4 @@
             }
             UsersClass customerClass = await checkAuthorizationAsync();
-            // set if is authenticated
-            ViewBag.isAuthenticated = await getCrrentUser();
-
             if (customerClass == null)
             {
Index: PostgreSqlDotnetCore/Controllers/VetCenterController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -3,8 +3,6 @@
 using Microsoft.EntityFrameworkCore;
 using PostgreSqlDotnetCore.Models;
-using Microsoft.AspNetCore.Mvc.Rendering;
-using System.Threading.Tasks;
-using Npgsql;
-using PostgreSqlDotnetCore.Data;
+using System.Data;
+using System.Net;
 
 namespace PostgreSqlDotnetCore.Controllers
@@ -12,83 +10,16 @@
     public class VetCenterController : BaseController
     {
-        /*  
-         public VetCenterController(UserManager<IdentityUser> userManager) : base(userManager)
-           {
-           }
-        */
-        private readonly ApplicationDbContext db;
-
-        public VetCenterController(UserManager<IdentityUser> userManager, ApplicationDbContext context) : base(userManager)
+        public VetCenterController(UserManager<IdentityUser> userManager) : base(userManager)
         {
-            db = context ?? throw new ArgumentNullException(nameof(context)); 
         }
 
-        public async Task<ActionResult> Create()
+        // GET: Customer
+        public ActionResult Index()
         {
-            // Set if user is authenticated
-            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-            ViewBag.isAuthenticated = await getCrrentUser();
-            if (customerClass == null)
-            {
-                return RedirectToAction("AccessDenied", "Error");
-            }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            // Fetch cities for dropdown
-            var citiess = await db.CitiesObj.ToListAsync();
-            ViewBag.Citiess = new SelectList(citiess, "id", "name");
-
-            return View();
+            return View(db.VetCentersObj.ToList());
         }
 
-        /* public async Task<ActionResult> Index()
-         {
-
-             var vetCenters = await db.VetCentersObj.ToListAsync();
-             ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
-
-             // Check if the user is an admin
-             UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-             ViewBag.hasAccess = customerClass != null;
-
-             return View(vetCenters);
-         }*/
-        /* public async Task<ActionResult> Index()
-         {
-             var vetCenters = await db.VetCentersObj.ToListAsync();
-             ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
-             // no access for standard user
-             ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-             // Проверете дали корисникот е администратор или менаџер
-             UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-             // ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-             ViewBag.hasAccess = customerClass != null;
-
-             return View(vetCenters);
-         }
-     */
-        public async Task<ActionResult> Index()
-        {
-            ViewBag.isAuthenticated = await getCrrentUser();
-            ViewBag.hasAccess = await checkAuthorizationAsync();
-            var vetCenters = await db.VetCentersWithCity.ToListAsync(); 
-           // ViewBag.isAuthenticated = User.Identity.IsAuthenticated;
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-            
-            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-
-            ViewBag.hasAccess = customerClass != null;
-
-            return View(vetCenters);
-        }
-
-
-
-        /*public async Task<ActionResult> Details(int? id)
+        // GET: Customer/Details/5
+        public ActionResult Details(int? id)
         {
             if (id == null)
@@ -96,21 +27,43 @@
                 return RedirectToAction("NotExist", "Error");
             }
-
-            VetCenter vetClass = await db.VetCentersObj.FindAsync(id);
-            UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = customerClass;
+            VetCenter vetClass = db.VetCentersObj.Find(id);
             if (vetClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-            // no access for standard user
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
+            return View(vetClass);
+        }
+
+        // GET: Customer/Create
+        public async Task<ActionResult> CreateAsync()
+        {
+            // check for permission
+            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
+            if (customerClass == null)
+            {
+                return RedirectToAction("AccessDenied", "Error");
+            }
+            return View();
+        }
+
+        // POST: Customer/Create
+        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
+        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
+        [HttpPost]
+        [ValidateAntiForgeryToken]
+        public ActionResult Create([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
+        {
+            if (ModelState.IsValid)
+            {
+                db.VetCentersObj.Add(vetClass);
+                db.SaveChanges();
+                return RedirectToAction("Index");
+            }
 
             return View(vetClass);
         }
 
-
-       */
-        public async Task<IActionResult> Details(int? id)
+        // GET: Customer/Edit/5
+        public async Task<ActionResult> EditAsync(int? id)
         {
             if (id == null)
@@ -118,97 +71,36 @@
                 return RedirectToAction("NotExist", "Error");
             }
-
-            // Логирајте го ID-то за дебугирање
-            Console.WriteLine($"ID: {id}");
-
-            // Обидете се да најдете запис во view
-            VetCenterWithCity vetClass = await db.VetCentersWithCity
-                                                 .Where(v => v.id == id) 
-                                                 .FirstOrDefaultAsync();
+            VetCenter vetClass = db.VetCentersObj.Find(id);
             if (vetClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-
-            
-            UsersClass customerClass = await getCrrentUser();
-            ViewBag.isAuthenticated = customerClass;
-
-           
+            // check for permission
+            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
+            if (customerClass == null)
+            {
+                return RedirectToAction("AccessDenied", "Error");
+            }
             return View(vetClass);
         }
 
-
-
-
-
-
-
-
-
-
-
-
+        // POST: Customer/Edit/5
+        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
+        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> Create([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
+        public ActionResult Edit([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
         {
             if (ModelState.IsValid)
             {
-                db.VetCentersObj.Add(vetClass);
-                await db.SaveChangesAsync();
+                db.Entry(vetClass).State = EntityState.Modified;
+                db.SaveChanges();
                 return RedirectToAction("Index");
             }
-
-            // If model is invalid, repopulate the cities for dropdown
-            var citiess = await db.CitiesObj.ToListAsync();
-            ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
-
             return View(vetClass);
         }
 
-   
-
-         /*public async Task<ActionResult> Create([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
-         {
-             // Логирање на параметрите
-             Console.WriteLine($"Parameters: {vetClass.name}, {vetClass.adress}, {vetClass.description}, {vetClass.workinghours}, {vetClass.phonenumber}, {vetClass.latitude}, {vetClass.longitude}, {vetClass.citiesid}");
-
-             if (ModelState.IsValid)
-             {
-                 // Повик на складираната процедура
-                 var parameters = new[]
-                 {
-             new NpgsqlParameter("@name", vetClass.name),
-             new NpgsqlParameter("@adress", vetClass.adress),
-             new NpgsqlParameter("@description", vetClass.description),
-             new NpgsqlParameter("@workinghours", vetClass.workinghours),
-             new NpgsqlParameter("@phonenumber", vetClass.phonenumber),
-             new NpgsqlParameter("@latitude", (decimal)vetClass.latitude),
-             new NpgsqlParameter("@longitude", (decimal)vetClass.longitude),
-             new NpgsqlParameter("@citiesid", vetClass.citiesid)
-         };
-
-                 await db.Database.ExecuteSqlRawAsync("CALL project.AddVetCenter(@name, @adress, @description, @workinghours, @phonenumber, @latitude, @longitude, @citiesid)", parameters);
-
-                 return RedirectToAction("Index");
-             }
-
-             // Ако моделот не е валиден, повторно пополнете ги градовите за паѓачкиот мени
-             var citiess = await db.CitiesObj.ToListAsync();
-             ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
-
-             return View(vetClass);
-         }
-
-         
-
-
-        */
-
-
-
-
-        public async Task<ActionResult> Edit(int? id)
+        // GET: Customer/Delete/5
+        public ActionResult Delete(int? id)
         {
             if (id == null)
@@ -216,76 +108,20 @@
                 return RedirectToAction("NotExist", "Error");
             }
-
-            VetCenter vetClass = await db.VetCentersObj.FindAsync(id);
+            VetCenter vetClass = db.VetCentersObj.Find(id);
             if (vetClass == null)
             {
                 return RedirectToAction("NotExist", "Error");
             }
-
-            // Check for permission
-            UsersClass customerClass = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin);
-            //UsersClass customerClass = await checkAuthorizationAsync();
-            ViewBag.isAuthenticated = await getCrrentUser();
-            if (customerClass == null)
-            {
-                return RedirectToAction("AccessDenied", "Error");
-            }
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-
-            // Fetch cities for dropdown
-            var citiess = await db.CitiesObj.ToListAsync();
-            ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
-
             return View(vetClass);
         }
 
-        [HttpPost]
-        [ValidateAntiForgeryToken]
-        public async Task<ActionResult> Edit([Bind(include: "id,name,adress,description,workinghours,phonenumber,latitude,longitude,citiesid")] VetCenter vetClass)
-        {
-            if (ModelState.IsValid)
-            {
-                db.Entry(vetClass).State = EntityState.Modified;
-                await db.SaveChangesAsync();
-                return RedirectToAction("Index");
-            }
-
-            // If model is invalid, repopulate the cities for dropdown
-            var citiess = await db.CitiesObj.ToListAsync();
-            ViewBag.Citiess = new SelectList(citiess, "id", "name", vetClass.citiesid);
-
-            return View(vetClass);
-        }
-
-        public async Task<ActionResult> Delete(int? id)
-        {
-            UsersClass customerClass = await checkAuthorizationAsync();
-
-            ViewBag.isAuthenticated = await getCrrentUser();
-
-            if (id == null)
-            {
-                return RedirectToAction("NotExist", "Error");
-            }
-
-            VetCenter vetClass = await db.VetCentersObj.FindAsync(id);
-            if (vetClass == null)
-            {
-                return RedirectToAction("NotExist", "Error");
-            }
-            ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
-
-
-            return View(vetClass);
-        }
-
+        // POST: Customer/Delete/5
         [HttpPost, ActionName("Delete")]
         [ValidateAntiForgeryToken]
-        public async Task<ActionResult> DeleteConfirmed(int id)
+        public ActionResult DeleteConfirmed(int id)
         {
-            VetCenter vetClass = await db.VetCentersObj.FindAsync(id);
+            VetCenter vetClass = db.VetCentersObj.Find(id);
             db.VetCentersObj.Remove(vetClass);
-            await db.SaveChangesAsync();
+            db.SaveChanges();
             return RedirectToAction("Index");
         }
@@ -300,17 +136,22 @@
         }
 
-        public async Task<ActionResult> IndexWithSearch(string searchTerm)
+
+        // GET: VetCenter/Search
+        public ActionResult IndexWithSearch(string searchTerm)
         {
             if (string.IsNullOrEmpty(searchTerm))
             {
-                var vetCenters = await db.VetCentersObj.ToListAsync();
+                var vetCenters = db.VetCentersObj.ToList();
                 return View(vetCenters);
             }
             else
             {
-                var searchResults = await db.VetCentersObj.Where(vc => vc.name.Contains(searchTerm)).ToListAsync();
+                var searchResults = db.VetCentersObj.Where(vc => vc.name.Contains(searchTerm)).ToList();
                 return View(searchResults);
             }
         }
+
+
+
     }
 }
Index: PostgreSqlDotnetCore/Data/ApplicationDbContext.cs
===================================================================
--- PostgreSqlDotnetCore/Data/ApplicationDbContext.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Data/ApplicationDbContext.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -50,20 +50,6 @@
             modelBuilder.Entity<Pet_GaleryClass>().Metadata.SetIsTableExcludedFromMigrations(true);
             modelBuilder.Entity<BlogPostAnswers>().Metadata.SetIsTableExcludedFromMigrations(true);
-
-            modelBuilder.Entity<PetDetailsProcedure>().Metadata.SetIsTableExcludedFromMigrations(true);
             //modelBuilder.Entity<PetCareAllData>().Metadata.SetIsTableExcludedFromMigrations(true);
-
-            // додадени следните два реда на 28.08
-            // modelBuilder.Entity<VetCenterWithCity>().HasNoKey(); // Дефинирајте дека VIEW-от нема примарен клуч
-            // modelBuilder.Entity<VetCenterWithCity>().ToView("vet_centers_with_city"); // Поставете го името на VIEW-от
-            modelBuilder.Entity<VetCenterWithCity>().HasNoKey().ToView("vet_centers_with_city");
             base.OnModelCreating(modelBuilder);
-
-
-            modelBuilder.Entity<BlogUsers>().HasNoKey().ToView("view_userss_consultationss");
-            base.OnModelCreating(modelBuilder);
-            // Configure the relationship between VetCenter and CitiesClass
-
-
 
             // ... model definition ...
@@ -72,9 +58,4 @@
         public virtual DbSet<UsersClass> CustomerObj { get; set; }
         public virtual DbSet<VetCenter> VetCentersObj { get; set; }
-        
-        // додадено на 28.08
-        public virtual DbSet<VetCenterWithCity> VetCentersWithCity { get; set; }
-
-        public virtual DbSet<BlogUsers> BlogUsers { get; set; }
         public virtual DbSet<BlogPostConsultation> BlogPostControllerObj { get; set; }
         public virtual DbSet<RolesClass> RoleControllerObj { get; set; }
@@ -95,9 +76,4 @@
         public virtual DbSet<TherapyClass> theraObj { get; set; }
         public virtual DbSet<Type_Of_PetsClass> typeofObj { get; set; }
-        
-        public virtual DbSet<PetDetailsProcedure> PetDetailsProcedureObj { get; set; }
-
-        //public virtual DbSet<PetDetailsProcedure> AddVetCenter { get; set; }
-
     }
 }
Index: PostgreSqlDotnetCore/Models/BlogPostAnswers.cs
===================================================================
--- PostgreSqlDotnetCore/Models/BlogPostAnswers.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/BlogPostAnswers.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -12,14 +12,6 @@
         public int parent_id { get; set; }
         public string reply { get; set; }
-
-        [ForeignKey("BlogPostConsultation")]
-        [Column("blogpostconsid")]
-        public int BlogPostConsultationid { get; set; }
-        public BlogPostConsultation BlogPostConsultation { get; set; }
-
+        public int? blogpostconsultationid { get; set; }
         public int usersid { get; set; }
-
-        [NotMapped]
-        public List<BlogPostAnswers> blogPostAnswers{ get; set; }
     }
 }
Index: PostgreSqlDotnetCore/Models/BlogPostConsultation.cs
===================================================================
--- PostgreSqlDotnetCore/Models/BlogPostConsultation.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/BlogPostConsultation.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -15,6 +15,6 @@
         //public DateTime date_askes { get; set; }
         //public DateTime date_askes { get; set; } = DateTime.UtcNow.Date;
-        public DateOnly date_askes { get; set; } = DateOnly.FromDateTime(DateTime.Now);
-        
+        public DateOnly date_askes { get; set; } = DateOnly.FromDateTime(DateTime.UtcNow);
+
         public string title { get; set; }
        
Index: PostgreSqlDotnetCore/Models/Pet_CaresClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/Pet_CaresClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/Pet_CaresClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,18 +19,4 @@
         public string description { get; set; }
         public DateTime dateending { get; set; }
-
-        public DateTime start_date { get; set; }
-
-        [ForeignKey("PetsClass")]
-        [Column("pet_id")]
-        public int pet_id { get; set; }
-        public PetsClass PetsClass { get; set; }
-
-
-        public void SetDatesToUtc()
-        {
-            dateending = DateTime.SpecifyKind(dateending, DateTimeKind.Utc);
-            start_date = DateTime.SpecifyKind(start_date, DateTimeKind.Utc);
-        }
         public int usersid { get; set; }
         public int vetcentersid { get; set; }
Index: PostgreSqlDotnetCore/Models/PetsClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/PetsClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/PetsClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -16,6 +16,4 @@
         public string color { get; set; }
 
-        public string name { get; set; }
-
         public string description { get; set; }
        // public DateTime dateofbirthday { get; set; }
Index: PostgreSqlDotnetCore/Models/ProductsClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/ProductsClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/ProductsClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,11 +19,7 @@
         public string price { get; set; }
         public bool isactive { get; set; }
-        //public DateTime dateadded { get; set; }
-
-        public DateOnly dateadded { get; set; } = DateOnly.FromDateTime(DateTime.UtcNow);
+        public DateTime dateadded { get; set; }
         public string category { get; set; }
-
-        public int  available_quantity { get; set; }
-
+        
 
     }
Index: PostgreSqlDotnetCore/Models/VetCenter.cs
===================================================================
--- PostgreSqlDotnetCore/Models/VetCenter.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/VetCenter.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -9,8 +9,8 @@
 namespace PostgreSqlDotnetCore.Models
 {
-    [Table("vet_centers_with_city", Schema = "project")]
+    [Table("vet_centers", Schema = "project")]
     public class VetCenter
     {
-       // [Key]
+        [Key]
         public int id { get; set; }
 
@@ -24,7 +24,5 @@
         public float longitude { get; set; }
         public string phonenumber { get; set; }
-       // [ForeignKey("CitiesClass")]
         public int citiesid { get; set; }
-       // public CitiesClass CitiesClass { get; set; }
 
 
Index: PostgreSqlDotnetCore/PostgreSqlDotnetCore.csproj
===================================================================
--- PostgreSqlDotnetCore/PostgreSqlDotnetCore.csproj	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/PostgreSqlDotnetCore.csproj	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -70,5 +70,5 @@
       <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
     </PackageReference>
-    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="7.0.12" />
+    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="7.0.11" />
     <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.1" />
   </ItemGroup>
Index: PostgreSqlDotnetCore/Program.cs
===================================================================
--- PostgreSqlDotnetCore/Program.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Program.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -2,5 +2,4 @@
 using Microsoft.EntityFrameworkCore;
 using PostgreSqlDotnetCore.Data;
-using PostgreSqlDotnetCore.Models;
 
 var builder = WebApplication.CreateBuilder(args);
Index: PostgreSqlDotnetCore/Views/Blog/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -17,5 +17,5 @@
         @Html.ValidationSummary(true, "", new { @class = "text-danger" })
 
-       @* <div class="form-group">
+        <div class="form-group">
             @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
             <div class="col-md-10">
@@ -24,18 +24,4 @@
             </div>
         </div>
-        *@
-      @*  <div class="form-group">
-            @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.date_askes, new { htmlAttributes = new { @class = "form-control", @type = "date", value = DateTime.UtcNow.ToString("yyyy-MM-dd") } })
-                @Html.ValidationMessageFor(model => model.date_askes, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        *@
-
-       
-
-
-       
 
         <div class="form-group">
Index: PostgreSqlDotnetCore/Views/Blog/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -5,8 +5,8 @@
 }
 
-@*<h2>Одговори</h2>*@
-@*
+<h2>Details</h2>
+
 <div>
-   <h4>Blog post for consultations</h4>
+    <h4>Blog post for consultations</h4>
     <hr />
     <dl class="dl-horizontal">
@@ -33,5 +33,4 @@
             @Html.DisplayFor(model => model.description)
         </dd>
-        
         <dt>
             @Html.DisplayNameFor(model => model.users_id)
@@ -42,12 +41,9 @@
         </dd>
 
-
     </dl>
 </div>
-*@
-
 <hr/>
 <div>
-    <h2>Answers</h2>
+    <h4>Blog post anwers</h4>
     <hr />
 
@@ -77,22 +73,8 @@
 
                 <td>
-                  
-                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) 
-                    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = item.BlogPostConsultationid, parentId = item.id })
+                    @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id }) |
+                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) |
+                    @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
                 </td>
-
-                @if (item.usersid == ViewBag.CurrentUserId)
-
-                {
-                    <td>
-                       
-                        @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id })
-                        @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
-                        
-
-                    </td>
-                }
-
-
             </tr>
         }
@@ -101,16 +83,5 @@
 </div>
 <p>
-    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = Model.id, parentId = Model.id })
+    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
-
-
-@if (Model.users_id == ViewBag.CurrentUserId)
-
-{
-    <p>
-        @Html.ActionLink("Edit", "Edit", new { id = Model.id })
-       
-
-    </p>
-}
